Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000270Zandronum[All Projects] Bugpublic2011-01-30 01:292018-05-08 09:59
Reporterunknownna 
Assigned ToLeonard 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0000270: Improved pusher prediction
Description> And the client-side prediction also feels choppy/laggy if you're playing with a ping of approximately 200ms+. Particularly noticeable when jumping in the sectors.

> IMHO, the more client-side prediction, the better.

> In general I agree. The question is though how I should distribute my limited resources. Since the prediction IMO is already working quite well, it's probably more effective if I fix more serious bugs before further trying to refine the prediction here. You could create a feature request for an improved pusher prediction, so that this issue is not forgotten.
Additional InformationSpectators are affected by the pushers.
Attached Files

- Relationships
has duplicate 0002639closed Player prediction: desync with pusher-enabled sectors. 
related to 0000130closedTorr Samaho client prediction is sometimes wrong 

-  Notes
User avatar (0001007)
unknownna (updater)
2011-02-07 09:10

> I didn't have a chance to exclude spectators from the effect of pushers yet though.

If you do not wish to alter the client-side prediction yet, would it be possible to at least prevent the spectators from being affected by the pushers? It looks like a bug, and it's fixed in ZDaemon.
User avatar (0018272)
Leonard (developer)
2017-09-11 17:17

Pull request.

The client ends up having two pushers spawned resulting in the misprediction.
With the test wad from the previous ticket: no need to emulate ping, simply test this on a local server with cl_showonetickpredictionerrors true.
User avatar (0018299)
Torr Samaho (administrator)
2017-09-17 12:17

Thanks for the patch! I added it to the stable repo.
User avatar (0019222)
StrikerMan780 (reporter)
2018-05-07 20:24

Tried the test wad. Messed around in the green push area, and vice-versa, also using the teleports. No weird jittering or obvious prediction errors. I'd have used "cl_showonetickpredictionerrors true" but the command doesn't seem to exist in my build.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: unknownna
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2011-01-30 01:29 unknownna New Issue
2011-02-07 09:10 unknownna Note Added: 0001007
2011-07-18 07:51 unknownna Relationship added related to 0000130
2014-06-08 22:39 Watermelon Status new => feedback
2017-09-11 17:04 Dusk Relationship added has duplicate 0002639
2017-09-11 17:05 Dusk Status feedback => needs review
2017-09-11 17:17 Leonard Note Added: 0018272
2017-09-11 18:48 Dusk Target Version => 3.1
2017-09-17 12:17 Torr Samaho Note Added: 0018299
2017-09-17 12:17 Torr Samaho Status needs review => needs testing
2017-09-17 12:17 Torr Samaho Product Version => 3.0
2017-10-23 15:05 Leonard Status needs testing => assigned
2017-10-23 15:05 Leonard Assigned To => Leonard
2017-10-23 15:06 Leonard Status assigned => needs testing
2018-05-07 20:24 StrikerMan780 Note Added: 0019222
2018-05-08 09:59 Leonard Reproducibility N/A => always
2018-05-08 09:59 Leonard Status needs testing => resolved
2018-05-08 09:59 Leonard Resolution open => fixed
2018-05-08 09:59 Leonard Category Suggestion => Bug
2018-05-08 09:59 Leonard Fixed in Version => 3.1






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker